File: changelog

package info (click to toggle)
nautilus-python 1.2.2-2
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 2,028 kB
  • sloc: sh: 4,177; xml: 1,728; ansic: 724; python: 168; makefile: 130
file content (261 lines) | stat: -rw-r--r-- 8,483 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
nautilus-python (1.2.2-2) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Dec 2018 11:18:48 -0500

nautilus-python (1.2.2-1) unstable; urgency=medium

  * New upstream release (Closes: #725665, #907591) (LP: #1529460)
  * Build-Depend on pkg-config
  * Update Vcs fields for migration to https://salsa.debian.org/
  * debian/copyright: Switch to the machine-readable 1.0 format
  * Bump Standards-Version to 4.2.1
  * Drop all patches: applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 08 Oct 2018 13:01:38 -0400

nautilus-python (1.1-6) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 17 Dec 2017 17:29:50 -0500

nautilus-python (1.1-5) unstable; urgency=medium

  * Switch from cdbs to dh
  * Bump debhelper compat to 10
  * Bump Standards-Version to 4.1.1
  * debian/rules:
    - Adapt to nautilus multi-archification
    - Enable all hardening flags

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 11 Nov 2017 15:05:06 -0500

nautilus-python (1.1-4) unstable; urgency=low

  * Team upload.
  * Sync with ubuntu (Closes: #697565, #558613, #725665)
    - debian/control(.in) changes excluded except added dh-autoreconf b-d

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 09 Oct 2013 23:48:55 +0200

nautilus-python (1.1-3ubuntu3) saucy; urgency=low

  [ Doug McMahon ]
  * d/p/02_python_multiarch_path.patch: Follow up fix for i386 multiarch.
    (LP: #1170017)

 -- Barry Warsaw <barry@ubuntu.com>  Wed, 29 May 2013 16:34:23 -0400

nautilus-python (1.1-3ubuntu2) saucy; urgency=low

  [ Dr.Amr Osman ]
  * debian/patches/02_python_multiarch_path.patch: Add 64bit multiarch
    search paths for libpython2.7.so.  (LP: #1170017)

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 28 May 2013 16:26:27 -0400

nautilus-python (1.1-3ubuntu1) raring; urgency=low

  * Fix FTBFS with python multiarch headers; Add dh-autoreconf to control;
    Add autoreconf to rules
    - update debian/control
    - update debian/rules
    - add debian/patches/02_python_multiarch_path.patch
    - update debian/patches/series

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 06 Jan 2013 17:52:30 -0600

nautilus-python (1.1-3) unstable; urgency=low

  * Bump debhelper compatibility to 8.
  * Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.
  * Tighten dependency on python-gi to ensure it has dynamic bindings support.
    Closes: #652109

 -- Michael Biebl <biebl@debian.org>  Thu, 15 Dec 2011 01:00:58 +0100

nautilus-python (1.1-2) unstable; urgency=low

  [ Josselin Mouette ]
  * Replace python-gobject by python-gi.

  [ Martin Pitt ]
  * Add 00git_open_terminal_example_GI.patch: Use GI GConf bindings in open
    terminal example. Patch taken from upstream git.
  * Add 01_port_examples_to_GI.patch: Port remaining examples to GI
    bindings/GSettings. (Closes: #649910, LP: #898959)

 -- Martin Pitt <mpitt@debian.org>  Fri, 02 Dec 2011 07:40:34 +0100

nautilus-python (1.1-1) unstable; urgency=low

  * New upstream release.
    - Transition to nautilus 3 (Closes: #637315)
  * debian/control.in:
    - Adjusts {build-}dependencies
    - Bump Standards-Version to 3.9.2 (no further changes)
    - Add Vcs-* fields
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/dirs: Create system-wide extensions directory to new location
  * debian/watch: Switch to .xz tarballs
  * debian/README.Debian: Update to new locations
  * debian/lintian-overrides: Add an override for the empty system-wide
    extensions directory
  * debian/copyright: Add missing copyright statements

 -- Laurent Bigonville <bigon@debian.org>  Wed, 19 Oct 2011 22:04:10 +0200

nautilus-python (0.6.1-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Require python-gconf instead of python-gnome2. Closes: #541582.
  * Add missing dependency on python-gtk2.
  * Drop useless .la files.

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
  * debian/patches/02_libeel.patch,
    debian/patches/10_dlopen-nasty.patch,
    debian/patches/50_CVE-2009-0317.patch,
    debian/patches/70_missing_m4.patch,
    debian/patches/90_relibtoolize.patch:
    - Removed, no longer needed / applied upstream.
  * debian/control.in:
    - Remove libgnomevfs-dev from build depends, add python-gobject-dev.
    - Standards-Version is 3.8.4, no changes needed.
  * debian/watch:
    - Don't uupdate.
  * debian/control.in,
    debian/rules:
    - Remove quilt support, no longer needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 30 Jan 2010 14:12:47 +0100

nautilus-python (0.5.1-2) unstable; urgency=low

  * Remove useless libeel build-dependency.

 -- Josselin Mouette <joss@debian.org>  Sat, 25 Apr 2009 12:51:34 +0200

nautilus-python (0.5.1-1) unstable; urgency=low

  * New upstream release.
  * Switch to quilt; build-depend on quilt.
  * Rename un-numbered patches.
  * 01_fix-extension-directory.patch: removed, fixed upstream.
  * 02_libeel.patch: drop eel requirement.
  * update.patch: removed, merged upstream.
  * 70_missing_m4.patch: add missing m4 macros to acinclude.m4.
  * 90_relibtoolize.patch: as the name says.
  * Use debhelper compatibility mode 7.
  * Refer to versioned GPL in the copyright.

 -- Josselin Mouette <joss@debian.org>  Thu, 16 Apr 2009 18:30:58 +0200

nautilus-python (0.5.0-2) unstable; urgency=low

  [ Loic Minier ]
  * Section is gnome says ftpmasters.
  * Wrap build-deps and deps.
  * Add ${misc:Depends}.

  [ Emilio Pozuelo Monfort ]
  * Change section back to python, override has been fixed.
  * Do not duplicate the section in the binary package stanza.

  [ Josselin Mouette ]
  * 50_CVE-2009-0317.patch: fix CVE-2009-0317: untrusted search path
    vulnerability. Closes: #513419
  * Standards version is 3.8.1.
  * Upload to unstable.
  * Pass --no-act to dh_makeshlibs.

 -- Josselin Mouette <joss@debian.org>  Tue, 07 Apr 2009 15:51:10 +0200

nautilus-python (0.5.0-1) experimental; urgency=low

  * New upstream release, depends on Nautilus 2.22 so target experimental
  * Add watch file, and patches from Ubuntu
  * Also add nasty patch to load libpython2.5.so.1. Ugly.

 -- Ross Burton <ross@debian.org>  Sun, 20 Apr 2008 16:33:37 +0100

nautilus-python (0.4.3-2) unstable; urgency=low

  [ Ross Burton ]
  * Acknowledge NMU.
  * Add to pkg-gnome team maintainership.
  * Bump Standards.
  * Fix FSF address.

  [ Loic Minier ]
  * Add a get-orig-source target to retrieve the upstream tarball.

 -- Ross Burton <ross@debian.org>  Thu, 26 Apr 2007 11:12:37 +0100

nautilus-python (0.4.3-1.1) unstable; urgency=low

  * NMU.
  * Upload to unstable.
  * Drop dependency on python2.3, lowering severity of #373465.

 -- Matthias Klose <doko@debian.org>  Mon,  1 Jan 2007 11:36:59 +0100

nautilus-python (0.4.3-1) experimental; urgency=low

  * New upstream releases.
    - Should not cause nautilus to crash anymore. (Closes: #304370)
  * Add CDBS' utils.
    [debian/rules]
  * Add CDBS' simple patch system.
    [debian/patches, debian/rules]
  * Merge patch by Sam Morris to ease use of the package:
    - Add a README.Debian file containing notes on usage.
      [debian/README.Debian]
    - Create an empty /usr/lib/nautilus/extensions-1.0/python directory for
      plugins to be installed into.
      [debian/dirs]
    - Add missing libeel2-dev (>= 2.6.0) build-dep.
      [debian/control]

 -- Loic Minier <lool@dooz.org>  Wed,  1 Mar 2006 20:36:33 +0100

nautilus-python (0.4.1-1) experimental; urgency=low

  [ Ross Burton ]
  * New upstream release (closes: #314297)
    - Threading fixes (closes: #304019)
    - Examples are not installed by default (closes: #309653)
  * Change build-dep to nautilus-extension (closes: #323743)
  * Tighten build-deps

  [Sebastien Bacher ]
  * debian/control:
    - build with the current gnome-python packages.

 -- Ross Burton <ross@debian.org>  Wed, 12 Oct 2005 21:03:53 +0100

nautilus-python (0.3.0-3) unstable; urgency=low

  * Add Depends on python-gnome2

 -- Ross Burton <ross@debian.org>  Tue,  8 Mar 2005 13:44:23 +0000

nautilus-python (0.3.0-2) unstable; urgency=low

  * Build-Dep on python-gnome2-dev (closes: #283026)

 -- Ross Burton <ross@debian.org>  Mon, 29 Nov 2004 10:46:07 +0000

nautilus-python (0.3.0-1) unstable; urgency=low

  * Initial Release.

 -- Ross Burton <ross@debian.org>  Wed,  6 Oct 2004 18:02:08 +0100